Description

The "Files" tab includes a "D/L" column (which is an odd abbreviation...) that shows the number of downloads for each file.

For some projects, it would be useful to expand on this to be able to see the history of downloads (e.g. (graph of) number of

downloads per day/week/month) and even information about who was downloading (e.g. user id for logged-in users similar to the

history for wiki pages).

Is this something that would be possible already with a plug-in?

History

#1 - 2010-08-05 10:28 - Felix Schäfer

Gareth Sylvester-Bradley wrote:

Is this something that would be possible already with a plug-in?

 If you write it, yes :-) I'm not aware of one that does that currently, nor do I think that such a feature should nor will make it into core.

#2 - 2010-08-06 01:05 - Nick Peelman

Wouldn't be hard to write/extend, just create a separate table to handle the data. But, you guys would need to provide some hooks in the Projects

controller. I didn't find where you're actually tracking the download (i.e. where you're currently incrementing the counter), but chances are that would

have to be wrapped using alias_method_chain or something as well, unless a more friendly way could be worked in...

Felix Schäfer wrote:

Gareth Sylvester-Bradley wrote:

Is this something that would be possible already with a plug-in?

 If you write it, yes :-) I'm not aware of one that does that currently, nor do I think that such a feature should nor will make it into core.

#3 - 2010-08-06 02:07 - Eric Davis

- Category set to Plugin Request

If you want to create a plugin for this functionality, I'd be happy to add any hooks you might need.

#4 - 2010-08-06 09:20 - Felix Schäfer

<rant>

Nick Peelman wrote:

…

 I know I will sound like a grumpy old man, but please please refrain from top-posting.

A: Because it messes up the order in which people normally read text.

Q: Why is top-posting such a bad thing?

A: Top-posting.
Q: What is the most annoying thing in e-mail?

 (I know the example is for e-mail, but it applies to virtually every threaded discussion).

Oh, and trimming down the quote so that it contains only the parts you are answering to and/or only the parts to understand your answer would be

even greater, but I've grown to live without that…

</rant>

#5 - 2010-08-06 15:15 - Nick Peelman

sure.  Will get right on that.

Felix Schäfer wrote:

<rant>

Nick Peelman wrote:

…

 I know I will sound like a grumpy old man, but please please refrain from top-posting.

</rant>

#6 - 2012-09-04 23:56 - Tao Lin

Hi all,

I like the file download statistics feature as well. I don't need fancy graphic but just a table to list follow fields:

1. Download Date & Time

2. Download By User

3. (Maybe) IP address

Cheers,

Powered by TCPDF (www.tcpdf.org)

2025-07-05 2/2

http://www.tcpdf.org

